| MD_TCS230 Color Sensor Arduino Library 1.2 Library to control TCS230 Color Sensor

Classes | Macros | Variables
MD_TCS230.h File Reference

Main header file for the MD_TCS230 library. More...

`#include <Arduino.h>`
`#include <FreqCount.h>`
Include dependency graph for MD_TCS230.h:
This graph shows which files directly or indirectly include this file:

## Classes
struct | sensorData
struct | colorData
class | MD_TCS230

## Macros
#define | ARRAY_SIZE(x) (sizeof(x)/sizeof(x[0]))
| Calculate number of elements in a array.

## Variables
const uint8_t | TCS230_FREQ_HI = 0
| 100% prescaler
const uint8_t | TCS230_FREQ_MID = 1
| 20% prescaler
const uint8_t | TCS230_FREQ_LO = 2
| 2% prescaler
const uint8_t | TCS230_FREQ_OFF = 3
| Prescaler off.
const uint8_t | TCS230_RGB_R = 0
| Red detector filter selection.
const uint8_t | TCS230_RGB_G = 1
| Green detector filter selection.
const uint8_t | TCS230_RGB_B = 2
| Blue detector filter selection.
const uint8_t | TCS230_RGB_X = 3
| 'Clear' (off) detector filter selection
const uint8_t | RGB_SIZE = 3
| Array index counter limit for RGB components.
const uint8_t | NO_PIN = 0xff
| Value set when no pin has been defined.

## Detailed Description

Main header file for the MD_TCS230 library.